<!--<script>-->

   <!--var el = document.getElementById('#uploadBtn');-->
<!--el.onchange = function(){-->
 <!--$scope.upload();-->
<!--};-->

<!--</script>-->

    <div class="page-wrapper">
        <div class="container-fluid">
            <div class="row page-titles">
                <div class="col-md-6 align-self-center">
                    <h3 class="text-themecolor m-b-0 m-t-0">Products</h3>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active">Products</li>
                    </ol>
                </div>
                <div class="col-md-6 col-4 align-self-center">
                    <a class="btn pull-right hidden-sm-down btn-success" data-toggle="modal" data-target=".bs-example-modal-lg" ng-click="emptyProjectObj()"> Add Product</a>
                </div>
                <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" style="display:none;" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="myLargeModalLabel">
                                    Add Product
                                </h4>
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
                            </div>
                            <div class="modal-body">
                                <div class="card">
                                    <div class="card-block">

                                <form class="form p-t-20">
                                    <div class="form-group">
                                        <label>Product Name</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="Product Name" ng-model="product.productName">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>subCategoryName</label>

                                        <div class="input-group">


                                            <select chosen
                                                    option="subCategoryName"
                                                    ng-model="product.subCategoryname"
                                                    ng-change="getSubCategoryIdbySubCategoryName(product.subCategoryname)"
                                                    ng-options="idlist.subCategoryname as idlist.subCategoryname for idlist in subCategoryName">
                                            </select>


                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label>categoryName</label>

                                        <div class="input-group">


                                            <select chosen
                                                    option="CategoryId"
                                                    ng-model="product.categoryName"
                                                    ng-change="getCategoryIdbyCategoryName(product.categoryName)"
                                                    ng-options="idlist.categoryName as idlist.categoryName for idlist in CategoryName">
                                            </select>


                                        </div>
                                    </div>



                                    <div class="form-group">
                                        <label>productPrice</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="Product Name" ng-model="product.productPrice">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label>productOfferName</label>
                                      <!--{{OfferId}}-->
                                        <div class="input-group">


                                            <select chosen
                                                    option="OfferId"
                                                    ng-model="product.productOfferName"
                                                    ng-change="getOfferIdbyOfferName(product.productOfferName)"
                                                    ng-options="idlist.productOfferName as idlist.productOfferName for idlist in OfferName">
                                            </select>


                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label>productAvailableqty</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="Product Name" ng-model="product.productAvailableqty">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>productSoldqty</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="Product Name" ng-model="product.productSoldqty">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>productImage</label>
                                        <div class="input-group">

                                            <input type="file" ng-model="file" name="file" base-sixty-four-input required onload="onLoad" maxsize="500" accept="image/*">

                                            <button type="button" ng-click="uploadfile(file)">Upload</button>
                                            <img src="data:image/png;base64,{{product.productImage}}" height="100" width="100" alt="product image">



                                            </p>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>productShortdescription</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="Product Name" ng-model="product.productShortdescription">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>productLongdescription</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="Product Name" ng-model="product.productLongdescription">
                                        </div>
                                    </div>
                                    <button  class="btn btn-success waves-effect waves-light m-r-10" ng-click="saveProduct(product)">save</button>
                                    <button class="btn btn-inverse waves-effect waves-light" data-dismiss="modal" id="btnClose">cancel</button>
                                </form>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>




            </div>

            <div class="row">
                <!-- column -->
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-block">



                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th ng-repeat="(key,value) in headerList" ng-if="key!=='__v'&&key!='_id'&&key!='subCategoryid'&&key!='categoryId'&&key!='productOfferId'&&key!='productShortdescription'&&key!='productLongdescription'&&key!='productSoldqty'&&key!='productImage'">{{key}}</th>
                                        <th>Action</th>

                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr dir-paginate="product in productDetailsarray|filter:searchtext|itemsPerPage:5">
                                        <td ng-repeat="(key,value) in product"  ng-if="key!=='__v'&&key!='_id'&&key!='subCategoryid'&&key!='categoryId'&&key!='productOfferId'&&key!='productShortdescription'&&key!='productLongdescription'&&key!='productSoldqty'&&key!='productImage'">{{value}}</td>
                                        <td  ng-repeat="(key,value) in product"ng-if="key=='productImage'"><img src="data:image/png;base64,{{value}}" height="50" width="50" alt="productimage"></td>
                                        <td class="btn btn-success waves-effect tex-left" ng-click="getEditProductDetailsById(product._id)" data-toggle="modal" data-target="#editmodal">Edit</td>
                                        <td  class="btn btn-danger waves-effect tex-left" data-toggle="modal"  data-target="#deleteModal" ng-click="setProductDeleteId(product._id)">Delete</td>
                                        <td class="btn btn-info waves-effect tex-left" ng-click="uploadMoreImages(product._id)">upload more images</td>
                                    </tr>

                                    </tbody>
                                </table>
                            </div>


                        </div>
                    </div>
                    <dir-pagination-controls class="paging"
                                             max-size="3"
                                             direction-links="true"
                                             boundary-links="true" >
                    </dir-pagination-controls>
                </div>
            </div>

        </div>
<!--<button ng-click="callinguploadfile()">called</button>-->
<div ng-hide="true">
    <input id="uploadBtn" type="file" class="upload" file-model="myFile">
    <button style="color:black;" ng-click="upload()" id="upload">Upload Logo</button>

</div>

        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" style="display:none;" id="editmodal">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        EDIT Product
                    </h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
                </div>
                <div class="modal-body">
                    <div class="card">
                        <div class="card-block" ng-repeat="edit in editProductObj">

                            <form class="form p-t-20">
                                <div class="form-group">
                                    <label>Product Name</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productName">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>subCategoryName</label>

                                    <div class="input-group">

                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.subCategoryname">

                                        <select chosen
                                                option="subCategoryName"
                                                ng-model="edit.subCategoryname"
                                                ng-change="getSubCategoryIdbySubCategoryName(edit.subCategoryname)"
                                                ng-options="idlist.subCategoryname as idlist.subCategoryname for idlist in subCategoryName">
                                        </select>


                                    </div>


                                </div>

                                <div class="form-group">
                                    <label>categoryName</label>

                                    <div class="input-group">

                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.categoryName">

                                        <select chosen
                                                option="CategoryId"
                                                ng-model="edit.categoryName"
                                                ng-change="getCategoryIdbyCategoryName(edit.categoryName)"
                                                ng-options="idlist.categoryName as idlist.categoryName for idlist in CategoryName">
                                        </select>


                                    </div>


                                </div>



                                <div class="form-group">
                                    <label>productPrice</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productPrice">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label>productOfferName</label>
                                    <!--{{OfferId}}-->
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productOfferName">


                                        <select chosen
                                                option="OfferId"
                                                ng-model="edit.productOfferName"
                                                ng-change="getOfferIdbyOfferName(edit.productOfferName)"
                                                ng-options="idlist.productOfferName as idlist.productOfferName for idlist in OfferName">
                                        </select>


                                    </div>


                                </div>

                                <div class="form-group">
                                    <label>productAvailableqty</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productAvailableqty">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label>productSoldqty</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productSoldqty">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label>productImage</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productImage">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>productShortdescription</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productShortdescription">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>productLongdescription</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Name" ng-model="edit.productLongdescription">
                                    </div>
                                </div>
                                <button  class="btn btn-success waves-effect waves-light m-r-10" ng-click="editUpdateProductDetails(edit)">save</button>
                                <button class="btn btn-inverse waves-effect waves-light" data-dismiss="modal" id="btnCloses">cancel</button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>




        <div class="modal fade" id="deleteModal" role="dialog">
            <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Confirm Deletion</h4>
                </div>
                <div class="modal-body">
                    <p>Are you sure you want to delete this item ?</p>
                </div>
                <div class="modal-footer">
                    <button type="close" class="btn btn-inverse waves-effect waves-light" data-dismiss="modal" id="Btncls">cancel</button>
                    <button type="submit" class="btn btn-default" ng-click="deleteProductDetails(productDeleteId)">Delete</button>

                </div>
            </div>

        </div>
        </div>











        <div>
            <footer class="footer text-center">
            © 2017 Monster Admin by wrappixel.com
           </footer>
        </div>


</div>
